import {
  DialogService, AlertService,
} from '@zeedhi/common';

export class Utilities {
    public static showErrorMessage(error : any) {
        console.error(error.response);
        let msg = '';

        if (error.response && error.response.data && error.response.data.error) {
            msg = error.response.data.error;
        } else {
            msg = 'Ocorreu um erro inesperado. Por favor, entre em contato com o suporte.';
        }

        DialogService.show({
            name: 'error_dialog',
            type: 'error',
            title: 'Erro',
            text: msg,
        });
    }

    public static showSuccessMessage() {
        AlertService.show({
            name: 'basic-alert',
            text: 'Processo realizado com sucesso!',
            top: true,
            left: false,
            color: 'success',
            timeout: 2000,
            buttonsSlot: [
                {
                  name: 'undo-button',
                  component: 'ZdButton',
                  icon: true,
                  iconName: 'close',
                  color: 'white',
                  events: {
                    click: () => { AlertService.hide(); },
                  },
                },
            ],
        });
    }
}
